BizKitHub
DocsAPI ReferenceLedger/bff/ledger/stock/item/create
postLedgerAdmin BFF

/bff/ledger/stock/item/create

Create a stock card

LedgerpostBffLedgerStockItemCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
codestringRequired
Length: 1–64
namestringRequired
Length: 1–255
unitstringRequired
Length: 1–16
kind"goods" | "material" | "product"Required
productIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
stockAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
expenseAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
isActivebooleanOptional
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–5000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/stock/item/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/stock/item/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "code": "example_code",
  "name": "example_name",
  "unit": "example_unit",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key